#include <avr/io.h>
#include <util/delay.h>


// Define the I/O port to be used for the LED.
#define LED_PORT PA0

#define VCC_PORT PA1
#define PIR_DATA_PORT PA2
#define GND_PORT PA3


int main(void){
    // Set the LED port number as output.
    DDRA |= (1 << LED_PORT);
    DDRA |= (1 << VCC_PORT);
    DDRA |= (1 << GND_PORT);
	// Set ports as input
	DDRA &= ~(1 << PIR_DATA_PORT);

	//Init VCC and GND for the PIR
	PORTA |= (1 << VCC_PORT);
	PORTA &= ~(1 << GND_PORT);
	while(1){
		
		while ((PINA & (1 << PIR_DATA_PORT)) == 0) {
			;
		}

		// Set the LED bit to "1" - LED will be "on".
        PORTA |= (1 << LED_PORT);
		
		_delay_ms(50);
		
		while ((PINA & (1 << PIR_DATA_PORT)) != 0) {
			;
		}
		
        // Set the LED bit to "0" - LED will be "off".
        PORTA &= ~(1 << LED_PORT);
		
		_delay_ms(50);
	}
}
